Package com.tick42.glue.core.interop.invoke

# Enum MethodInvocationResult.Type

java.lang.Object
java.lang.Enum<MethodInvocationResult.Type>
com.tick42.glue.core.interop.invoke.MethodInvocationResult.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<MethodInvocationResult.Type>`

Enclosing interface:
  MethodInvocationResult<T>

    public static enum MethodInvocationResult.Type
    extends Enum<MethodInvocationResult.Type>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `EMPTY` |
  `MULTI` |
  `SINGLE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static MethodInvocationResult.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static MethodInvocationResult.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SINGLE

    public static final MethodInvocationResult.Type SINGLE

  - ### MULTI

    public static final MethodInvocationResult.Type MULTI

  - ### EMPTY

    public static final MethodInvocationResult.Type EMPTY

- ## Method Details

  - ### values

    public static MethodInvocationResult.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MethodInvocationResult.Type valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null